LibreOffice stopped working after upgrade [Solved]

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :-)

Moderator: Moderators

LibreOffice stopped working after upgrade [Solved]

Postby spikeyb » Sat Jan 26, 2013 19:51

I upgraded my system this morning and LibreOffice has stopped working.

When I run any of the LO programmes, the splash screen appears and then dissappears and the programme does not run. Any one able to tell me any commands to run to try and find out the problem. I have removed and reinstalled LO without success.

If I run it from the terminal I get "WARNING **: Unknown type: GailWindow"

Thanks for any insight anyone can provide.
Last edited by spikeyb on Thu Feb 07, 2013 23:07, edited 1 time in total.
spikeyb
Simple Hen
 
Posts: 44
Joined: Fri May 22, 2009 19:25

Re: LibreOffice stopped working after upgrade

Postby Butch Cassidy » Sat Jan 26, 2013 22:24

You could try reinstalling virtual glu 9.0 first (put "glu 9.0" into Rigo and reinstall the Virtual one).
Butch Cassidy
Simple Hen
 
Posts: 94
Joined: Mon Aug 27, 2012 18:14

Re: LibreOffice stopped working after upgrade

Postby spikeyb » Sun Jan 27, 2013 8:12

Thanks Butch Cassidy, I tried your suggestio but the problem remains and the symptoms the same.

Is there a log I could look at that might give some insight?
spikeyb
Simple Hen
 
Posts: 44
Joined: Fri May 22, 2009 19:25

Re: LibreOffice stopped working after upgrade

Postby Butch Cassidy » Sun Jan 27, 2013 15:31

you could try

Code: Select all
equo deptest


and

Code: Select all
equo libtest


and see what they return
Butch Cassidy
Simple Hen
 
Posts: 94
Joined: Mon Aug 27, 2012 18:14

Re: LibreOffice stopped working after upgrade

Postby spikeyb » Mon Jan 28, 2013 22:22

These two packages were missing from the deptest:

net-libs/farstream-0.1.2-r1

dev-libs/boost-1.46.1-r1

But packages could not be found. Not sure if they are related to LibreOffice.
spikeyb
Simple Hen
 
Posts: 44
Joined: Fri May 22, 2009 19:25

Re: LibreOffice stopped working after upgrade

Postby Ryuno-Ki » Tue Jan 29, 2013 0:57

spikeyb wrote:
Code: Select all
net-libs/farstream-0.1.2-r1
dev-libs/boost-1.46.1-r1

But packages could not be found.

(inserted Code-boxes)
I cannot confirm:
Code: Select all
$ equo search net-libs/farstream
>>  @@ Suche...
>>      @@ Paket: net-libs/farstream-0.1.2-r1 Branch: 5, [sabayon-weekly]
>>         Verfügbar:      Version: 0.1.2-r1 ~ tag: NoTag ~ Version: 2
>>         Installiert:    Version: Nicht installiert ~ tag: N/A ~ Version: N/A
>>         Slot:           0.1
>>         Homepage:       http://www.freedesktop.org/wiki/Software/Farstream
>>         Beschreibung:   Audio/video conferencing framework
>>                         specifically designed for instant
>>                         messengers
>>         Lizenz:         LGPL-2.1+
>>      @@ Paket: net-libs/farstream-0.2.2 Branch: 5, [sabayon-weekly]
>>         Verfügbar:      Version: 0.2.2 ~ tag: NoTag ~ Version: 1
>>         Installiert:    Version: 0.2.2 ~ tag: NoTag ~ Version: 1
>>         Slot:           0.2
>>         Homepage:       http://www.freedesktop.org/wiki/Software/Farstream
>>         Beschreibung:   Audio/video conferencing framework
>>                         specifically designed for instant
>>                         messengers
>>         Lizenz:         LGPL-2.1+
>>  Schlüsselwörter:  net-libs/farstream
>>  Gefunden:         2 Einträge
$ equo search dev-libs/boost
>>  @@ Suche...
>>      @@ Paket: dev-libs/boost-1.52.0-r2 Branch: 5, [sabayon-weekly]
>>         Verfügbar:      Version: 1.52.0-r2 ~ tag: NoTag ~ Version: 0
>>         Installiert:    Version: 1.52.0-r2 ~ tag: NoTag ~ Version: 0
>>         Slot:           0
>>         Homepage:       http://www.boost.org/
>>         Beschreibung:   Boost Libraries for C++
>>         Lizenz:         Boost-1.0
>>  Schlüsselwörter:  dev-libs/boost
>>  Gefunden:         1 Eintrag

(German locale) Are you sure you spelled it correctly?
HP-Pavilion ◆ AMD Athlon™ 64 Processor 4000+ ◆ GeForce 6150SE nForce 430 ◆ 1 GiB RAM
German Wiki translator ◆ Want to contribute on the wiki? Ask the Bureaucrats!
Please, mark solved threads ◆ Posts unread and unansweredPackage requests ◆ Sabayon XI with MATE
Ryuno-Ki
Technological Hen
 
Posts: 437
Joined: Mon Feb 27, 2012 22:15
Location: Southern Germany

Re: LibreOffice stopped working after upgrade

Postby spikeyb » Wed Jan 30, 2013 0:02

Whe I run equo deptest, I am told the packages are missing and that they will be downloaded. However after 10 seconds I am told packages cannot be found.

I opened a terminal and typed equo install <package name> but only the farstream one could be found and installed. Still no joy with LibreOffice.
spikeyb
Simple Hen
 
Posts: 44
Joined: Fri May 22, 2009 19:25

Re: LibreOffice stopped working after upgrade

Postby Butch Cassidy » Wed Jan 30, 2013 11:04

Forget Boost it's a deprecated package, Rigo used to ask me to remove it along with other deprecated stuff, so I did. Farstream is part of KDE Telepathy, isn't related to Libreoffice. Are you on KDE?

Try this, again..

Code: Select all
equo remove libreoffice --deep


then

Code: Select all
equo cleanup


Then go into your filemanager and delete the libreoffice config folder if it's still there (in KDE it's /home/<username>/.config/libreoffice)

Then reinstall virtual glu like you did before. Then..

Code: Select all
equo install libreoffice


and then before you run it, reinstall virtual glu again

and if it doesn't fire up after that, then I'm out of ideas.

....apart from installing Libreoffice from Portage.
Butch Cassidy
Simple Hen
 
Posts: 94
Joined: Mon Aug 27, 2012 18:14


Re: LibreOffice stopped working after upgrade

Postby spikeyb » Wed Jan 30, 2013 23:02

@Butch Cassidy - Thanks for your suggestions but my problem remains.

@sabayonino - Thank you, I will look into it.
spikeyb
Simple Hen
 
Posts: 44
Joined: Fri May 22, 2009 19:25

Next

Return to Beginners|Newbies Area

Who is online

Users browsing this forum: No registered users and 1 guest

cron